Bug 1295382 - Installation with packstack fails
Installation with packstack fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneclient (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0 (Juno)
Assigned To: Adam Young
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 05:00 EST by Amit Ugol
Modified: 2016-04-26 15:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 17:15:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
answer file (29.42 KB, text/plain)
2016-01-04 05:00 EST, Amit Ugol
no flags Details

  None (edit)
Description Amit Ugol 2016-01-04 05:00:07 EST
Created attachment 1111427 [details]
answer file

Description of problem:
Unable to install with packstack. Puppet fails on:

ESC[1;31mError: /Stage[main]/Keystone::Db::Sync/Exec[keystone-manage db_sync]: keystone-manage db_sync returned 1 instead of one of [0]ESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns: Traceback (most recent call last):ESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns:   File "/usr/bin/keystone-manage", line 30, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns:     from keystone import cliESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns:   File "/usr/lib/python2.7/site-packages/keystone/cli.py", line 19, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns:     from oslo.config import cfgESC[0m
ESC[mNotice: /Stage[main]/Keystone/Exec[keystone-manage pki_setup]/returns: ImportError: No module named config

and returns error code 1

# journalctl -xe
Jan 04 11:58:01 lynx01.qa.lab.tlv.redhat.com CROND[11964]: (keystone) CMD (/usr/bin/keystone-manage token_flush >/dev/null 2>&1)
Jan 04 11:58:01 lynx01.qa.lab.tlv.redhat.com python[11965]: detected unhandled Python exception in '/usr/bin/keystone-manage'
Jan 04 11:58:01 lynx01.qa.lab.tlv.redhat.com abrt-server[11970]: Package 'openstack-keystone' isn't signed with proper key
Jan 04 11:58:01 lynx01.qa.lab.tlv.redhat.com abrt-server[11970]: 'post-create' on '/var/spool/abrt/Python-2016-01-04-11:58:01-11965' exited with 1


Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Server release 7.2 (Maipo)
openstack-keystone-2014.2.3-1.el7ost.noarch
pythonopenstack-puppet-modules-2014.2.15-7.el7ost.noarch
openstack-packstack-puppet-2014.2-0.25.dev1474.gd85ee76.el7ost.noarch-keystone-2014.2.3-1.el7ost.noarch

Puddle:
baseurl=http://download.lab.bos.redhat.com/rel-eng/OpenStack/6.0-RHEL-7/latest/RH7-RHOS-6.0/$basearch/os

How reproducible:
Always

Attached answerfile
Comment 1 Adam Young 2016-04-09 17:15:10 EDT
No longer happening as of April 9.

Note You need to log in before you can comment on or make changes to this bug.